
--ALTER TABLE dbo.A_NumberPlanAction
--	DROP CONSTRAINT FK_A_NumberPlanAction_A_NumberPlan

CREATE TABLE dbo.Tmp_A_NumberPlanAction
	(
	ID uniqueidentifier NOT NULL,
	NumID uniqueidentifier NULL,
	NumType int NULL,
	ExtraType int NULL,
	ExtraID uniqueidentifier NULL,
	ExtraStr nvarchar(500) NULL,
	Priority int NULL,
	AllowShare smallint NULL
	)  ON [PRIMARY]
GO

IF EXISTS(SELECT * FROM dbo.A_NumberPlanAction)
	 EXEC('INSERT INTO dbo.Tmp_A_NumberPlanAction (ID, NumID, NumType, ExtraType, ExtraID, ExtraStr, Priority, AllowShare)
		SELECT ID, NumID, NumType, ExtraType, ExtraID, ExtraStr, Priority, AllowShare FROM dbo.A_NumberPlanAction WITH (HOLDLOCK TABLOCKX)')
GO

DROP TABLE dbo.A_NumberPlanAction
GO

EXECUTE sp_rename N'dbo.Tmp_A_NumberPlanAction', N'A_NumberPlanAction', 'OBJECT'
GO

ALTER TABLE dbo.A_NumberPlanAction ADD CONSTRAINT
	PK_A_NumberPlanAction PRIMARY KEY CLUSTERED 
	(
	ID
	) ON [PRIMARY]

GO

ALTER TABLE dbo.A_NumberPlanAction WITH NOCHECK ADD CONSTRAINT
	FK_A_NumberPlanAction_A_NumberPlan FOREIGN KEY
	(
	NumID
	) REFERENCES dbo.A_NumberPlan
	(
	ID
	) ON UPDATE CASCADE
	 ON DELETE CASCADE
	
GO
