

if exists ( Select * FROM sysobjects where id=object_id ( 'dbo.A_DB_SeedDeletedOperators' ) )
	Drop procedure dbo.A_DB_SeedDeletedOperators
GO

Create procedure dbo.A_DB_SeedDeletedOperators
as
begin
	Delete from oktell_cc_temp.dbo.A_Cube_CC_Cat_OperatorInfo
	Where not exists ( Select Id From A_Users u Where u.Id = oktell_cc_temp.dbo.A_Cube_CC_Cat_OperatorInfo.Id )
end
GO



if exists ( Select * FROM sysobjects where id=object_id ( 'dbo.A_DB_SeedDeletedTasks' ) )
	Drop procedure dbo.A_DB_SeedDeletedTasks
GO

Create procedure dbo.A_DB_SeedDeletedTasks
as
begin
	Delete from oktell_cc_temp.dbo.A_Cube_CC_Cat_Task
	Where not exists ( Select Id From A_TaskManager_Tasks t Where t.Id = oktell_cc_temp.dbo.A_Cube_CC_Cat_Task.Id )
end
GO




if exists ( Select * FROM sysobjects where id=object_id ( 'dbo.A_DB_SeedDeletedProjects' ) )
	Drop procedure dbo.A_DB_SeedDeletedProjects
GO

Create procedure dbo.A_DB_SeedDeletedProjects
as
begin
	Delete from oktell_cc_temp.dbo.A_Cube_CC_Cat_Project
	Where not exists ( Select Id From A_TaskManager_Projects p Where p.Id = oktell_cc_temp.dbo.A_Cube_CC_Cat_Project.Id )
end
GO


if exists ( Select * FROM sysobjects where id=object_id ( 'dbo.A_DB_SeedStatistics' ) )
	Drop procedure dbo.A_DB_SeedStatistics
GO

Create procedure dbo.A_DB_SeedStatistics
as
begin
	--   

	Delete from oktell_cc_temp.dbo.A_Cube_CC_EffortConnections
	Where not exists ( Select Id From A_TaskManager_Projects p Where p.Id = oktell_cc_temp.dbo.A_Cube_CC_EffortConnections.IdProject )
		Or not exists ( Select Id From A_TaskManager_Tasks t Where t.Id = oktell_cc_temp.dbo.A_Cube_CC_EffortConnections.IdTask )
		Or not exists ( Select Id From A_Users u Where u.Id = oktell_cc_temp.dbo.A_Cube_CC_EffortConnections.IdOperator )

	Delete from oktell_cc_temp.dbo.A_Cube_CC_OperatorStates
	Where not exists ( Select Id From A_TaskManager_Tasks t Where t.Id = oktell_cc_temp.dbo.A_Cube_CC_OperatorStates.IdTask )
		Or not exists ( Select Id From A_Users u Where u.Id = oktell_cc_temp.dbo.A_Cube_CC_OperatorStates.IdOperator )

	Delete from oktell_cc_temp.dbo.A_Cube_CC_CallQueue
	Where not exists ( Select Id From A_TaskManager_Tasks t Where t.Id = oktell_cc_temp.dbo.A_Cube_CC_CallQueue.IdTask )
		Or not exists ( Select Id From A_TaskManager_Projects p Where p.Id = oktell_cc_temp.dbo.A_Cube_CC_CallQueue.IdProject )


	--   

	Delete from dbo.A_TaskManager_UserInTask
	Where not exists ( Select Id From A_TaskManager_Tasks t Where t.Id = dbo.A_TaskManager_UserInTask.TaskId )
		Or not exists ( Select Id From A_Users u Where u.Id = dbo.A_TaskManager_UserInTask.UserId )

	Delete from dbo.A_UserStateHistory
	Where not exists ( Select Id From A_Users u Where u.Id = dbo.A_UserStateHistory.UserId )

	Delete from dbo.A_User_NotifyLog
	Where not exists ( Select Id From A_Users u Where u.Id = dbo.A_User_NotifyLog.IDUser )

	Delete from dbo.A_CallCenter_UserStateHistory
	Where not exists ( Select Id From A_Users u Where u.Id = dbo.A_CallCenter_UserStateHistory.OperatorId )

	Delete from dbo.A_Personal_ListInfo
	Where not exists ( Select Id From A_Users u Where u.Id = dbo.A_Personal_ListInfo.UserId )
		
	Delete from dbo.A_TaskManager_Task_IncomingCalls
	Where not exists ( Select Id From A_TaskManager_Tasks t Where t.Id = dbo.A_TaskManager_Task_IncomingCalls.TaskId )

	Delete from dbo.A_TaskManager_SubTaskEfforts
	Where not exists ( Select Id From A_TaskManager_Tasks t Where t.Id = dbo.A_TaskManager_SubTaskEfforts.TaskId )

end
GO