if exists ( select * from sysobjects where id = object_Id ( 'dbo.A_UserMessages_SetViewed' ))
	Drop procedure dbo.A_UserMessages_SetViewed
GO

Create procedure dbo.A_UserMessages_SetViewed
	@idmessage uniqueidentifier
as
begin
	declare @ida uniqueidentifier
	declare @idb uniqueidentifier
	declare @dt datetime

	Select @ida = IdUserA, @idb = IdUserB, @dt = SentDate
	From A_UserMessages 
	Where Id = @idmessage

	if ( @@rowcount = 0 )
		return

	Update A_UserMessages
	Set Viewed = 1, ViewedDate = GetDate ( )
	Where IdUserA = @ida and IdUserB = @idb and SentDate <= @dt and Viewed != 1

	Select 120318, @@rowcount as updatedcount
end
GO
