if exists ( select * from sysobjects where id=object_id ( 'dbo.A_DB_ClearForeign' ))
	Drop procedure dbo.A_DB_ClearForeign
GO

Create procedure [dbo].[A_DB_ClearForeign]
	@simpletablename nvarchar ( 500 )
as
begin

    ------
    --   Foreign Keys (      )
    ------

	Declare @tablename varchar ( 500 )
	Declare @sql nvarchar(1000)

	Declare @cnstrname varchar(500)
	Declare @subtab varchar ( 500 )

	Select @simpletablename = s.name, @tablename = '[' + su.name + '].[' + s.name + ']'
	From sysobjects s
		Inner join sysusers su on s.uid = su.uid
	Where s.id = object_id ( @simpletablename )

--	print @tablename
--	exec sp_helpfile	

    ------
    --  
    ------

/*
	Select s.name, '[' + su.name + '].[' + s1.name + ']'
		From sysobjects s
			inner join sysforeignkeys sfk on s.id = sfk.constid	
			inner join sysobjects s1 on s.parent_obj = s1.id
			inner join sysusers su on s1.uid = su.uid
		Where sfk.fkeyid = object_id ( @tablename )
*/


	Declare tcursor Cursor For 
		Select s.name, '[' + su.name + '].[' + s1.name + ']'
		From sysobjects s
			inner join sysforeignkeys sfk on s.id = sfk.constid	
			inner join sysobjects s1 on s.parent_obj = s1.id
			inner join sysusers su on s1.uid = su.uid
		Where sfk.fkeyid = object_id ( @tablename )

	Open tcursor
	Fetch Next From tcursor Into @cnstrname, @subtab

	While ( @@fetch_status = 0 ) Begin

		Set @sql = ' ALTER TABLE ' + @subtab + 
			' DROP CONSTRAINT ' + @cnstrname
		Exec sp_executesql @stmt =@sql
		Print @sql

		Fetch Next From tcursor Into @cnstrname, @subtab
	End

	Close tcursor
	Deallocate tcursor

    ------
    --  
    ------

/*
	Select s.name, '[' + su.name + '].[' + s1.name + ']'
		From sysobjects s
			inner join sysforeignkeys sfk on s.id = sfk.constid	
			inner join sysobjects s1 on s.parent_obj = s1.id
			inner join sysusers su on s1.uid = su.uid
		Where sfk.rkeyid = object_id ( @tablename )
*/

	Declare tcursor Cursor For 
		Select s.name, '[' + su.name + '].[' + s1.name + ']'
		From sysobjects s
			inner join sysforeignkeys sfk on s.id = sfk.constid	
			inner join sysobjects s1 on s.parent_obj = s1.id
			inner join sysusers su on s1.uid = su.uid
		Where sfk.rkeyid = object_id ( @tablename )
	
	Open tcursor
	Fetch Next From tcursor Into @cnstrname, @subtab

	While ( @@fetch_status = 0 ) Begin

		Set @sql = ' ALTER TABLE ' + @subtab + 
			' DROP CONSTRAINT ' + @cnstrname
		Exec sp_executesql @stmt =@sql
		Print @sql

		Fetch Next From tcursor Into @cnstrname, @subtab
	End

	Close tcursor
	Deallocate tcursor
End
GO
