if exists ( select * from sysobjects where id=object_id ( 'dbo.A_TaskManager_List_DistrDirectDb_AddNumber' ))
	Drop procedure dbo.A_TaskManager_List_DistrDirectDb_AddNumber
GO

Create procedure dbo.A_TaskManager_List_DistrDirectDb_AddNumber
	@taskid uniqueidentifier,
	@idinlist int,
	@number nvarchar ( 200 )
as
begin

	
	declare @tableidxn nvarchar ( 100 )
	set @tableidxn = 'dbo.[A_TaskManager_dIdxn_' + cast ( @taskid as nvarchar ( 50 ) ) + ']'

	declare @sql nvarchar ( 4000 )

	set @sql = '
		if not exists ( select id from ' + @tableidxn + ' Where Id = ' + cast ( @idinlist as nvarchar ( 10 ) ) + ' and phone = ''' + @number + ''')
			Insert into ' + @tableidxn + ' 
			Values ( ' + cast ( @idinlist as nvarchar ( 10 ) ) + ', ''' + @number + ''' )'
		
	if exists ( Select * FROM sysobjects where id = object_id ( @tableidxn ) )
		exec sp_executesql @sql

end
GO



if exists ( select * from sysobjects where id=object_id ( 'dbo.A_TaskManager_List_DistrDirectDb_CheckAddNumber' ))
	Drop procedure dbo.A_TaskManager_List_DistrDirectDb_CheckAddNumber
GO

Create procedure dbo.A_TaskManager_List_DistrDirectDb_CheckAddNumber
	@taskid uniqueidentifier,
	@idinlist int,
	@number nvarchar ( 200 ),
	@table nvarchar ( 200 ),
	@query nvarchar ( 4000 ) = '',
	@colphone nvarchar ( 100 ),
	@colid nvarchar ( 100 ),
	@checkcondition nvarchar ( 1000 )
as
begin
	-- OBSOLETE
	--  

	declare @tableidx nvarchar ( 100 )
	set @tableidx = 'dbo.[A_TaskManager_dIdx_' + cast ( @taskid as nvarchar ( 50 ) ) + ']'

	declare @tableidxn nvarchar ( 100 )
	set @tableidxn = 'dbo.[A_TaskManager_dIdxn_' + cast ( @taskid as nvarchar ( 50 ) ) + ']'

	declare @sql nvarchar ( 4000 )

	--         ,        . Sysobjects .
	--if exists ( Select * From sysobjects
	if exists ( Select * FROM tempdb..sysobjects where id = object_id ( 'tempdb..#tt' ) )
		drop table #tt
	Create table #tt ( cnt int )

	Set @sql = 'Select Count ( * ) From '
	if ( Len ( @query ) > 0 )
		set @sql = @sql + ' ( ' + @query + ' ) t '
	else
		set @sql = @sql + @table + ' t '
	Set @sql = @sql + '		
		Where (' + @colid + ' = ' + cast ( @idinlist as nvarchar ( 10 ) ) + ') and ( ' + @checkcondition + ' )'
	
	Insert into #tt
		Exec sp_executesql @sql	

	declare @cnt int
	Select @cnt = cnt from #tt

	if ( @cnt = 0 )	begin

		--     -
		Set @sql = ' SET ROWCOUNT 1

			Declare @prec int

			Select @prec = prec 
			From syscolumns 
			Where id = object_id ( ''' + @table + ''' )

			Declare @newdata nvarchar(4000)

			Select @newdata = ' + @colphone + ' + '', ' + @number + ''' 
			From ' + @table + '
			Where ' + @colid + ' = ' + cast ( @idinlist as nvarchar ( 10 ) ) + '

			if ( Len ( @newdata ) <= IsNull ( @prec, 10000 ) ) begin

			   Update ' + @table + '
			   Set ' + @colphone + ' = ' + @colphone + ' + '', ' + @number + '''
			   Where ' + @colid + ' = ' + cast ( @idinlist as nvarchar ( 10 ) ) + '

			end

			SET ROWCOUNT 0'


		-- . ,  ....
		Set @sql = ' SET ROWCOUNT 1
			
			Update ' + @table + '
			Set ' + @colphone + ' = ' + @colphone + ' + '', ' + @number + '''
			Where ' + @colid + ' = ' + cast ( @idinlist as nvarchar ( 10 ) ) + '

			SET ROWCOUNT 0'
	

		exec sp_executesql @sql


		set @sql = '
			if not exists ( select id from ' + @tableidxn + ' Where Id = ' + cast ( @idinlist as nvarchar ( 10 ) ) + ' and phone = ''' + @number + ''')
				Insert into ' + @tableidxn + ' 
				Values ( ' + cast ( @idinlist as nvarchar ( 10 ) ) + ', ''' + @number + ''' )'
		
		if exists ( Select * FROM sysobjects where id = object_id ( @tableidxn ) )
			exec sp_executesql @sql

		Select 1
	end
end
GO

