if exists ( select * FROM sysobjects where id = object_id ( 'dbo.W_Messages_GetDialogs' ))
	Drop procedure dbo.W_Messages_GetDialogs
GO

Create procedure [dbo].[W_Messages_GetDialogs]
	@authorizeduserid uniqueidentifier
	,@isconf bit
	,@first int = null, @count int = null
as
begin

--declare @authorizeduserid uniqueidentifier, @first int, @count int
--select @authorizeduserid = '1654740F-0600-493B-B8FD-B09AC9A5A99C',
--@first = 1, @count  = 20
	
	select [id] = identity (int,1,1) 
			,[idUserB]
			,sentdate
			,lastmessage
			,messagecount
			,hasnew
			,fromA
			,conftimestart
			,confname
	into #temp
	from W_Messages_Dialogs 
	--where iduserA = @iduser
	where (@isconf = 0 and iduserA = @authorizeduserid and conftimestart is null) or (@isconf = 1 and iduserA = @authorizeduserid and conftimestart is not null)
	order by sentdate desc

	if (@first is null or @count is null)
			select * 
			from #temp
			--order by sentdate desc
	else
	select * 
	from #temp
	where id between @first and @first + @count - 1
	--order by sentdate desc

	drop table #temp
	
end
GO