if exists ( Select * from sysobjects where id = object_id ( 'dbo.A_Timer_MinuteProc' ))
	Drop procedure dbo.A_Timer_MinuteProc
GO

Create Procedure dbo.[A_Timer_MinuteProc]
	@dtnow datetime = null
as
begin
	if ( @dtnow is null )	
		set @dtnow = GetDate()
--------------------------------------------------------------------------------------------
--    (     ) 
--------------------------------------------------------------------------------------------
   	Begin tran DbProcActive

		Declare @dtactive datetime
		Select @dtactive = valuedatetime from A_Settings where name like 'DB_procactive'
		if ( not @dtactive is null )
 		  if ( DateDiff ( mi, @dtactive, @dtnow ) < 10 ) begin
		    Rollback tran DbProcActive
		    return
		  end

		Update A_Settings Set valuedatetime = @dtnow where name like 'DB_procactive'
		if ( @@rowcount = 0 )
		  Insert into A_Settings (name, valuedatetime) Values ( 'DB_procactive', @dtnow )

   	Commit tran DbProcActive
--------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------

	--        30  
	--      ,      
	--      ,        .
	--       ,      
	Declare @tilldt DateTime
	Set @tilldt = DateAdd ( ss, -30, @dtnow )

	exec A_CallCenter_Temp_UpdateOperatorStates @tilldt

--------------------------------------------------------------------------------------------
--    (     ) 
--------------------------------------------------------------------------------------------
	Delete From A_Settings where name like 'DB_procactive'
--------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------
end
GO
